summary refs log tree commit diff
diff options
context:
space:
mode:
authorMatt Arnold <matt@thegnuguru.org>2023-01-01 09:33:48 -0500
committerMatt Arnold <matt@thegnuguru.org>2023-01-01 09:33:48 -0500
commit774829cbc42cb5af599e1ab720d108c94bc63cb5 (patch)
treeb54ed971d1c3114a92ce9618576554dca535443f
parent88625d3a395a4bbc42bffefcce3f807d3af1e39c (diff)
Sync up with production
-rw-r--r--Dockerfile4
-rw-r--r--sign.sh10
2 files changed, 14 insertions, 0 deletions
diff --git a/Dockerfile b/Dockerfile
index 48649bb..0e03041 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -6,6 +6,10 @@ WORKDIR /app/src
 COPY appbuild.sh /app/src
 RUN chmod +x appbuild.sh
 RUN ./appbuild.sh
+COPY intercept.key /app
+COPY intercept.csr /app
+COPY intercept.crt /app
+
 WORKDIR /
 COPY entrypoint.sh /
 RUN chmod +x entrypoint.sh
diff --git a/sign.sh b/sign.sh
new file mode 100644
index 0000000..3492df2
--- /dev/null
+++ b/sign.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+[ -f intercept.key ] ||
+	openssl genrsa -out intercept.key 2048
+
+[ -f intercept.csr ] ||
+	openssl req -new -key intercept.key -out intercept.csr -subj /CN=intercept.miniweb
+
+openssl x509 -sha256 -req -days 365 -in intercept.csr -out intercept.crt -signkey intercept.key